Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class CalcTypeEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          org.apache.commons.lang.enums.ValuedEnum
              org.objectstyle.cayenne.dataview.CalcTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class CalcTypeEnum

extends org.apache.commons.lang.enums.ValuedEnum

See Also:
  Serialized Form

Field Summary
`static CalcTypeEnum` | `CALC_TYPE`
`static java.lang.String` | `CALC_TYPE_NAME`
`static int` | `CALC_TYPE_VALUE`
`static CalcTypeEnum` | `LOOKUP_TYPE`
`static java.lang.String` | `LOOKUP_TYPE_NAME`
`static int` | `LOOKUP_TYPE_VALUE`
`static CalcTypeEnum` | `NO_CALC_TYPE`
`static java.lang.String` | `NO_CALC_TYPE_NAME`
`static int` | `NO_CALC_TYPE_VALUE`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Constructor Summary
`protected` | `CalcTypeEnum(java.lang.String name, int value)`

Method Summary
`static CalcTypeEnum` | `getEnum(int calcType)`
`static CalcTypeEnum` | `getEnum(java.lang.String calcType)`
`java.lang.Class` | `getEnumClass()`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.ValuedEnum
`compareTo, getEnum, getValue, toString`

Methods inherited from class org.apache.commons.lang.enums.Enum
`equals, getEnum, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CALC_TYPE_VALUE

    public static final int NO_CALC_TYPE_VALUE

See Also:
  Constant Field Values

### CALC_TYPE_VALUE

    public static final int CALC_TYPE_VALUE

See Also:
  Constant Field Values

### LOOKUP_TYPE_VALUE

    public static final int LOOKUP_TYPE_VALUE

See Also:
  Constant Field Values

### NO_CALC_TYPE_NAME

    public static final java.lang.String NO_CALC_TYPE_NAME

See Also:
  Constant Field Values

### CALC_TYPE_NAME

    public static final java.lang.String CALC_TYPE_NAME

See Also:
  Constant Field Values

### LOOKUP_TYPE_NAME

    public static final java.lang.String LOOKUP_TYPE_NAME

See Also:
  Constant Field Values

### NO_CALC_TYPE

    public static final CalcTypeEnum NO_CALC_TYPE

### CALC_TYPE

    public static final CalcTypeEnum CALC_TYPE

### LOOKUP_TYPE

    public static final CalcTypeEnum LOOKUP_TYPE

Constructor Detail

### CalcTypeEnum

    protected CalcTypeEnum(java.lang.String name,
                           int value)

Method Detail

### getEnum

    public static CalcTypeEnum getEnum(java.lang.String calcType)

### getEnum

    public static CalcTypeEnum getEnum(int calcType)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

### getEnumClass

    public final java.lang.Class getEnumClass()

  Overrides:
    `getEnumClass` in class `org.apache.commons.lang.enums.Enum`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.